Pausar Cobrança
curl --request POST \
--url https://garu.com.br/api/scheduled-charges/{id}/pause \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://garu.com.br/api/scheduled-charges/{id}/pause"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://garu.com.br/api/scheduled-charges/{id}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Cobranças Agendadas
Pausar Cobrança
Coloque uma cobrança em espera; nenhum lembrete é enviado enquanto pausada
POST
/
api
/
scheduled-charges
/
{id}
/
pause
Pausar Cobrança
Visão Geral
Pausa a cobrança. Nenhum e-mail (cliente ou time) é enviado até você retomá-la com/resume.
Permitido a partir de: scheduled / due_today / overdue.
Exemplo de Requisição
curl -X POST https://garu.com.br/api/scheduled-charges/sch_abc123/pause \
-H "Authorization: Bearer sk_test_sua_chave" \
-H "Content-Type: application/json" \
-d '{ "reason": "em negociação" }'
import { Garu } from '@garuhq/node';
const garu = new Garu({ apiKey: process.env.GARU_API_KEY });
await garu.scheduledCharges.pause('sch_abc123', { reason: 'em negociação' });
import requests
import os
requests.post(
"https://garu.com.br/api/scheduled-charges/sch_abc123/pause",
headers={"Authorization": f"Bearer {os.environ['GARU_API_KEY']}"},
json={"reason": "em negociação"}
)
Parâmetros
string
required
ID da cobrança (
sch_…).string
Texto livre persistido no log de auditoria.
Resposta
A cobrança atualizada comstatus: "paused". Um evento paused é apendado e o webhook scheduled_charge.paused é disparado.Was this page helpful?
⌘I